com.rscja.custom

## Enum UHFTemperatureTagsAPI.TagState

- java.lang.Object
- - java.lang.Enum<UHFTemperatureTagsAPI.TagState>
  - - com.rscja.custom.UHFTemperatureTagsAPI.TagState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UHFTemperatureTagsAPI.TagState>
  Enclosing class:
    UHFTemperatureTagsAPI

      public static enum UHFTemperatureTagsAPI.TagState
      extends java.lang.Enum<UHFTemperatureTagsAPI.TagState>

  温度标签状态枚举值

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATTERY_VOLTAGE_HIGH`
    `LIGHT_INTENSITY_HIGH`
    `MEASURING_TEMPERATURE`
    `TEMPERATURE_PROCESS_INTERRUPTED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UHFTemperatureTagsAPI.TagState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UHFTemperatureTagsAPI.TagState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BATTERY_VOLTAGE_HIGH

          public static final UHFTemperatureTagsAPI.TagState BATTERY_VOLTAGE_HIGH

    - #### LIGHT_INTENSITY_HIGH

          public static final UHFTemperatureTagsAPI.TagState LIGHT_INTENSITY_HIGH

    - #### TEMPERATURE_PROCESS_INTERRUPTED

          public static final UHFTemperatureTagsAPI.TagState TEMPERATURE_PROCESS_INTERRUPTED

    - #### MEASURING_TEMPERATURE

          public static final UHFTemperatureTagsAPI.TagState MEASURING_TEMPERATURE

  - ### Method Detail

    - #### values

          public static UHFTemperatureTagsAPI.TagState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UHFTemperatureTagsAPI.TagState c : UHFTemperatureTagsAPI.TagState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UHFTemperatureTagsAPI.TagState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null